﻿Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.DatabaseServices

Imports Autodesk.AutoCAD.Runtime

Public Class UserControl1


    Private Sub Drag_Label_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) _
                                                                                    Handles Drag_Label.MouseMove

        ' ensure left mouse button is down
        If (System.Windows.Forms.Control.MouseButtons = Windows.Forms.MouseButtons.Left) Then
            ' run DoDragDrop pass in our class
            Application.DoDragDrop(Me, Me, Windows.Forms.DragDropEffects.All, New MyDropTarget())

        End If

    End Sub

End Class


Public Class MyDropTarget
    Inherits Autodesk.AutoCAD.Windows.DropTarget

    Public Overrides Sub OnDrop(ByVal e As System.Windows.Forms.DragEventArgs)
       
        Dim ed As Editor = Application.DocumentManager.MdiActiveDocument.Editor
      
        Try

            Using docLock As DocumentLock = _
                Application.DocumentManager.MdiActiveDocument.LockDocument
                ' running the addLinesDemo 
                dotNetTraining_Webcast_Demos.Webcast_3_Demos.addLinesDemo()

            End Using
        Catch ex As Exception

            ed.WriteMessage("Error Handling OnDrop: " + ex.Message)

        End Try
    End Sub
End Class

